Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228806 - Key summary needed for kn-* keymaps
Summary: Key summary needed for kn-* keymaps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-db
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shankar Prasad
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 06:18 UTC by Mayank Jain
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-04 01:02:45 UTC


Attachments (Terms of Use)
Fixed kn-inscript (deleted)
2007-03-15 13:38 UTC, Mayank Jain
no flags Details
Fixed kn-itrans (deleted)
2007-03-15 13:39 UTC, Mayank Jain
no flags Details

Description Mayank Jain 2007-02-15 06:18:59 UTC
Description of problem:
Key summary needed for kn-* keymaps

Version-Release number of selected component (if applicable):
m17n-db-1.3.4-5.fc7

How reproducible:
Always

Steps to Reproduce:
1. Activate SCIM
2. Click on (?) on scim panel for any kn-* keymap
3. No key summary is displayed.
  
Actual results:
No key summary

Expected results:
Key summary

Additional info:
What is needed in the key summary
1) A link to the keymap image on web
2) How to type complex combinations - specially those which are not directly
mapped on the keyboard.
3) Also mention combinations which can be typed in more than one way.

Comment 1 Ankit Patel 2007-02-16 09:57:10 UTC
Shankar,

Can we finish this by next week?

Comment 2 Shankar Prasad 2007-02-16 11:12:27 UTC
Ankit,
I think, I can do it. I just need to give  key summer. I will do that by the
next week.

Comment 3 Mayank Jain 2007-02-16 11:17:20 UTC
Cool :)
Thanks

Comment 4 Shankar Prasad 2007-03-15 12:35:08 UTC
Here is the key summary for kannada (kn-* keymaps)

"praa" = pa+ halant +raa
 "ಪ್ರಾ" = ಪ + ್ +ರ + ಾ
Inscript  key lay out:  h+d+ j+e  
Itrans  key lay out : p+r+A

 
"ska" = sa+halant+ka
 "ಸ್ಕ" =ಸ + ್ + ಕ
Inscript  key lay out : m+d+k
Itrans  key lay out : s+k+a


"ththhaa" = th+halanth+thhaa
 " ತ್ಥಾ" = ತ + ್ +ಥ + ಾ
Inscript  key lay out :   l + d + L + e 
Itrans  key lay out : t + th+A

"shhtya" : shh+halath+T+halant+ya
"ಷ್ಟ್ಯ" : ಷ +್  + ಟ + ್ + ಯ
Inscript  key lay out : < + d +' +d +/ 
Itrans  key lay out : S+h+T+ya 

"dgaa" : d+ + halant + gaa
"ದ್ಗಾ" : ದ + ್ + ಗ +ಾ
Inscript  key lay out : o+d+i+e
Itrans  key lay out : d+g+aa

" ksha" : k + halant + sha
"ಕ್ಷ" : ಕ + ್  + ಷ
Inscript  key lay out : k+d+< (OR) &
Itrans  key lay out : k+Sh+a (OR) x

"thra": th  + halant +r+a
"ತ್ರ" : ತ + ್ +ರ

Inscript  key lay out : l+d+j (OR) ^
Itrans  key lay out : t+r+a

"jna" :j + halant + na
"ಜ್ಞ" : ಜ + ್ + ಞ
Inscript  key lay out : p +d +} (OR) %
Itrans key lay out : G+Y+a

You can get the key map image at the following link for Itrans
http://java.sun.com/products/jfc/tsc/articles/InputMethod/kannada.jpg

Comment 5 Mayank Jain 2007-03-15 12:40:31 UTC
Thanks Shankar :)

Comment 6 Shankar Prasad 2007-03-15 12:57:27 UTC
Sorry!
the link which I have provided here is key map image of inscript key layout

Comment 7 Mayank Jain 2007-03-15 13:38:53 UTC
Created attachment 150124 [details]
Fixed kn-inscript

Comment 8 Mayank Jain 2007-03-15 13:39:28 UTC
Created attachment 150125 [details]
Fixed kn-itrans

Comment 9 Mayank Jain 2007-03-15 14:04:05 UTC
Fixed in m17n-db-1_3_4-8_fc7

Comment 10 Jens Petersen 2007-05-04 01:02:45 UTC
Closing.  Please reopen if you find any problems.


Note You need to log in before you can comment on or make changes to this bug.